QGIS Application - Feature request #779
Python error at startup
2007-10-08 11:14 AM - cdavila -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 10838
Description

Both 0.8.1 and 0.9 give an error when program is starting. When it tries to connect python it doesn't find SIP and Qt and so python can't
be used. After installing python-sip4 and python-qt4 packages error disappeared.

So, my question is: shouldn't these packages be established as dependencies?

History

#1 - 2007-10-11 06:12 PM - Martin Dobias

Yes, you're right, those packages contain files needed by [[PyQGIS]] and should be established as dependencies.

However, I'm wondering what error do you get at startup with QGIS 0.8.1 as it doesn't include python bindings.

Martin

#2 - 2007-10-15 11:48 AM - cdavila -

Replying to [comment:1 wonder]:

However, I'm wondering what error do you get at startup with QGIS 0.8.1 as it doesn't include python bindings.

Martin

QGIS packages are 0.8.1-3 but both splashscreen and about info show 0.9.0-Preview-1.

Without python-sip4 and python-qt4 error is:

Couldn't load SIP module. Python support will be disabled.

After installing only python-sip4 error is:

Couldn't load [[PyQt]] bindings. Python support will be disabled.

#3 - 2007-10-16 07:01 AM - Martin Dobias

... and from what source do you have the package?
#4 - 2007-10-17 02:33 PM - cdavila -

Replying to [comment:3 wonder]:

... and from what source do you have the package?

http://debian.gfoss.it/

#5 - 2008-01-31 09:23 AM - pcavallini -
I think it is a packaging problem. Should be solved now.

Could you please check and close it?
Thanks.

pc

#6 - 2008-01-31 11:40 AM - cdavila -

I'm afraid it's not solved. | have uninstalled python-qt4 and python-sip packages with no warning about any qgis package depending on them. After that,
error dialog reappears when starting qgis:

Could not load SIP module

Python support will be diabled

Tested with 0.9.2~rc20080131 packages from debian.gfoss.it

#7 - 2008-03-19 08:40 AM - Paolo Cavallini
- Status changed from Open to Closed
- Resolution set to invalid

Itis not a QGIS bug, but a package one. Forwarding it to packagers, to establish correct dependencies.

#8 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
